Skip to content
Ona Docs

ListSCIMConfigurations

POST/gitpod.v1.OrganizationService/ListSCIMConfigurations

Lists SCIM configurations for an organization.

Use this method to:

  • View all SCIM configurations
  • Monitor provisioning status
  • Audit SCIM settings

Examples

  • List SCIM configurations:

    Shows all SCIM configurations for an organization.

    pagination:
      pageSize: 20
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
ReturnsExpand Collapse
scimConfigurations: optional array of ScimConfiguration { id, createdAt, organizationId, 5 more }

scim_configurations are the SCIM configurations for the organization

id: string

id is the unique identifier of the SCIM configuration

formatuuid
createdAt: string

created_at is when the SCIM configuration was created

formatdate-time
organizationId: string

organization_id is the ID of the organization this SCIM configuration belongs to

formatuuid
tokenExpiresAt: string

token_expires_at is when the current SCIM token expires

formatdate-time
updatedAt: string

updated_at is when the SCIM configuration was last updated

formatdate-time
enabled: optional boolean

enabled indicates if SCIM provisioning is active

name: optional string

name is a human-readable name for the SCIM configuration

maxLength128
ssoConfigurationId: optional string

sso_configuration_id is the linked SSO configuration (optional)

formatuuid

ListSCIMConfigurations

curl https://app.gitpod.io/api/gitpod.v1.OrganizationService/ListSCIMConfigurations \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "scimConfigurations": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "tokenExpiresAt": "2019-12-27T18:11:19.117Z",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "enabled": true,
      "name": "name",
      "ssoConfigurationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    }
  ]
}